1. Hybrid
VirtFusion Global API
  • General
    • Test connection
  • Hypervisors
    • Retrieve hypervisors
    • Retrive a Hypervisor
  • Hypervisor Groups
    • Retrieve hypervisor groups
    • Retrieve a hypervisor group
    • Retrieve a hypervisor groups resources
  • Servers
    • Network
      • Firewall
        • Disable firewall
        • Enable firewall
        • Retrieve firewall
        • Apply firewall rulesets
      • Traffic
        • Add a traffic block to a server
        • Remove a traffic block from a server
        • Retrieve a servers traffic blocks
        • Modify primary traffic allowance
      • Add an address to the whitelist
      • Remove an address from the whitelist
      • Add a quantity of IPv4 addresses
      • Add an array of IPv4 addresses
      • Remove an array of IPv4 addresses
    • Power
      • Boot a server
      • Shutdown a server
      • Restart a server
      • Poweroff a server
    • Backup Manager
      • Modify Access
      • Restore a server backup
      • Create a server backup
    • Migration
      • Hybrid
        • List destinations
          GET
        • Destination availability
          GET
        • Migration status
          GET
        • Start migration
          POST
        • Retry a failed migration
          POST
        • Cancel a failed migration
          POST
        • Complete a migration
          POST
        • Revert a migration
          POST
    • Retrieve a server
      GET
    • Add, remove or modify a backup plan
      PUT
    • Build a server
      POST
    • Change a server package
      PUT
    • Create a server
      POST
    • Delete a server
      DELETE
    • Retrieve servers
      GET
    • Modify name
      PUT
    • Reset a server password
      POST
    • Retrieve a users servers
      GET
    • Retrieve OS templates available to a server
      GET
    • Suspend a server
      POST
    • Throttle a servers CPU
      PUT
    • Retrieve a servers traffic statistics
      GET
    • Unsuspend a server
      POST
    • Enable or disable VNC
      POST
    • Retrive VNC details
      GET
    • Change owner
      PUT
    • Modify memory
      PUT
    • Modify CPU cores
      PUT
    • Set custom XML
      POST
  • IP Blocks
    • Add an IPv4 range to an IP block
    • Retrieve IP blocks
    • Retrieve an IP block
    • Reserve/Unreserve an IPv4 address
    • Retrieve IPv4 from an IP block
  • Backup Manager
    • Retrieve backups
    • Create a server backup
    • Restore a server backup
    • Retrieve jobs
    • Retrieve a job
  • Backups (Deprecated)
    • Retrieve a server backups
  • DNS
    • Retrieve a DNS service
  • Media
    • Retrieve an ISO
    • Retrieve operating system templates that are available for a package
  • Packages
    • Retrieve packages
    • Retrieve a packge
  • Queue & Tasks
    • Retrieve a queue item
  • SSH Keys
    • Add an SSH key to a user account
    • Delete an SSH key from a user
    • Retrieve a users SSH keys
    • Retrieve an SSH key
  • Users
    • External Rel ID & Rel Str
      • Delete a user
      • Generate a set of login tokens
      • Generate a set of login tokens using a server ID
      • Modify a user
      • Change a user passowrd
      • Retrieve a user
    • Create a user
  • Self Service
    • External Relational ID
      • Add credit to user
      • Add an hourly group profile to a user
      • Add a resource group profile to a user
      • Add a resource pack to a user
      • Retrieve hourly statistics
      • Modify user access
      • Remove hourly group profile from a user
      • Remove resource group from a user
      • Generate a report
      • Set an hourly resource pack
      • Retrieve a users usage
    • Cancel credit that was applied to a user
    • Delete all servers attached to a pack ID
    • Delete a user resource pack
    • Retrieve a user resource pack
    • Modify user resource pack
    • Retrieve currencies
    • Suspend all servers assigned to a reosurce pack
    • Unsuspend all servers assigned to a reosurce pack
  1. Hybrid

Destination availability

Developing
GET
/servers/{serverId}/migrate/hybrid/destinations/{destinationId}
Resource, storage and networking detail for one destination, plus ready-to-send start bodies.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/servers/1/migrate/hybrid/destinations/?%20storageProfile=1' \
--header 'Authorization: Bearer <token>'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{
    "data": {
        "disks": [
            {
                "drive": "a",
                "size": 15,
                "currentProfile": 0,
                "storageOptions": [
                    {
                        "id": -1,
                        "name": "Local (Default mountpoint)",
                        "max": 5000,
                        "free": 4495,
                        "path": "/home/vf-data/disk",
                        "profile": 0
                    }
                ]
            }
        ],
        "examples": [
            {
                "destinationId": 7,
                "disks": [
                    {
                        "drive": "a",
                        "storageId": -1
                    }
                ],
                "compress": false,
                "speedLimit": 0,
                "sendMail": true,
                "altIPv4": false
            }
        ],
        "resources": {
            "original": {
                "servers": {
                    "units": "#",
                    "max": 0,
                    "allocated": 7,
                    "free": -7,
                    "percent": null
                },
                "memory": {
                    "units": "MB",
                    "max": 129159,
                    "allocated": 8192,
                    "free": 120967,
                    "percent": 6.3
                },
                "cpuCores": {
                    "units": "#",
                    "max": 128,
                    "allocated": 12,
                    "free": 116,
                    "percent": 9.4
                },
                "localStorage": {
                    "enabled": 1,
                    "name": "Local (Default mountpoint)",
                    "storageType": 0,
                    "units": "GB",
                    "max": 5000,
                    "allocated": 505,
                    "free": 4495,
                    "percent": 10.1
                },
                "otherStorage": []
            },
            "storage": false,
            "hasStorage": false,
            "hasStorageAvailable": true,
            "hasStorageAvailableMatchedProfile": false,
            "storageAvailable": [
                {
                    "id": -1,
                    "name": "Local (Default mountpoint)",
                    "max": 5000,
                    "free": 4495,
                    "path": "/home/vf-data/disk",
                    "profile": 0
                }
            ]
        },
        "networking": {
            "ipv4Count": 2,
            "ipv6Count": 0,
            "ipv4Mapping": {
                "74": {
                    "ip": "192.168.4.73",
                    "reusable": true
                },
                "64": {
                    "ip": "192.168.4.63",
                    "reusable": true
                }
            },
            "ipv6Mapping": [],
            "ipv4AllUsable": true,
            "ipv6AllUsable": true,
            "ipv4Usable": 2,
            "ipv6Usable": 0,
            "ipv4Unusable": 0,
            "ipv6Unusable": 0,
            "configuration": {
                "ipv6": false,
                "ipv4": [
                    {
                        "id": 74,
                        "ip": "192.168.4.73",
                        "replace": false
                    },
                    {
                        "id": 64,
                        "ip": "192.168.4.63",
                        "replace": false
                    }
                ]
            },
            "ipv4Continue": true,
            "ipv6Continue": true,
            "ipv6Available": 300,
            "ipv4Available": 429
        }
    }
}
Modified at 2026-08-26 19:51:48
Previous
List destinations
Next
Migration status
Built with